be.fgov.ehealth.dics.protocol.v5

## Class ConsultChapterIVAppendixTypeType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.ConsultChapterIVAppendixTypeType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:47:55+01:00",
                 comments="JAXB RI v2.3.7")
      public class ConsultChapterIVAppendixTypeType
      extends Object
      implements Serializable

  Java class for ConsultChapterIVAppendixTypeType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultChapterIVAppendixTypeType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Text" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultChapterIVTextType"/>
             </sequence>
             <attribute name="AppendixTypeId" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultChapterIVAppendixTypeType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAppendixTypeId()` Gets the value of the appendixTypeId property.
    `ConsultChapterIVTextType` | `getText()` Gets the value of the text property.
    `void` | `setAppendixTypeId(int value)` Sets the value of the appendixTypeId property.
    `void` | `setText(ConsultChapterIVTextType value)` Sets the value of the text property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultChapterIVAppendixTypeType

          public ConsultChapterIVAppendixTypeType()

  - ### Method Detail

    - #### getText

          public ConsultChapterIVTextType getText()

      Gets the value of the text property.
      Returns:
        possible object is `ConsultChapterIVTextType`

    - #### setText

          public void setText(ConsultChapterIVTextType value)

      Sets the value of the text property.
      Parameters:
        `value` - allowed object is `ConsultChapterIVTextType`

    - #### getAppendixTypeId

          public int getAppendixTypeId()

      Gets the value of the appendixTypeId property.

    - #### setAppendixTypeId

          public void setAppendixTypeId(int value)

      Sets the value of the appendixTypeId property.

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.